# alsa::poll - Rust
API documentation for the Rust `poll` mod in crate `alsa`.
Keywords: rust, rustlang, rust-lang, poll

# Module alsa::poll [−] [src]

Tiny poll ffi

A tiny wrapper around libc's poll system call.

## Structs

PollFlags |

## Constants

POLLERR |
POLLHUP |
POLLIN |
POLLNVAL |
POLLOUT |
POLLPRI |

## Traits

PollDescriptors |

## Functions

poll | Wrapper around the libc poll call.
poll_all | Builds a pollfd array, polls it, and returns the poll descriptors which have non-zero revents.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)